# @summary installs the nsfminer
# @see https://github.com/no-fee-ethereum-mining/nsfminer
# Note, this software has been archived.
#
# @param version
#   The version to install
#
class mine::miners::eth::nsfminer (
  String $version = '1.3.14'
) {
  $filename        = "nsfminer_${version}-ubuntu_20.04-cuda_11.3.tgz"
  $url             = "https://github.com/no-fee-ethereum-mining/nsfminer/releases/download/v${version}/${filename}"

  mine::miner { 'nsfminer':
    url         => $url,
    filename    => $filename,
    version     => $version,
    binary_name => 'nsfminer',
  }
}
