# @summary The parameters class
#
class mine::params {
  ### === Mining Software Configuration === ###

  ### === Ethereum Pools === ##

  ## SSL Ethermine Servers
  $ethermine_servers = {
    'ethermine_asia1'    => 'asia1.ethermine.org:5555',
    'ethermine_asia2'    => 'asia2.ethermine.org:5555',
    'ethermine_eu1'      => 'eu1.ethermine.org:5555',
    'ethermine_usa_east' => 'us1.ethermine.org:5555',
    'ethermine_usa_west' => 'us2.ethermine.org:5555',
  }

  ### === Ravencoin Pools === ##

  $flypool_servers = {
    'flypool' => 'stratum-ravencoin.flypool.org:3333',
  }

  $nanopool_servers = {
    'ethereum_eu1'       => 'eth-eu1.nanopool.org:9433',
    'ethereum_eu2'       => 'eth-eu2.nanopool.org:9433',
    'ethereum_us_east'   => 'eth-us-east1.nanopool.org:9433',
    'ethereum_us_west'   => 'eth-us-west1.nanopool.org:9433',
    'ethereum_au'        => 'eth-au1.nanopool.org:9433',
    'ethereum_asia'      => 'eth-asia1.nanopool.org:9433',
    'ethereum_jp'        => 'eth-jp1.nanopool.org:9433',
    'ravencoin_eu1'      => 'rvn-eu1.nanopool.org:12222',
    'ravencoin_eu2'      => 'rvn-eu2.nanopool.org:12222',
    'ravencoin_usa_east' => 'rvn-us-east1.nanopool.org:12222',
    'ravencoin_usa_west' => 'rvn-us-west1.nanopool.org:12222',
    'ravencoin_au'       => 'rvn-au1.nanopool.org:12222',
    'ravencoin_asia'     => 'rvn-asia1.nanopool.org:12222',
    'ravencoin_jp'       => 'rvn-jp1.nanopool.org:12222',
  }

  $ravenminer_servers = {
    'auto' => 'stratum.ravenminer.com:3838',
    'us'   => 'us.ravenminer.com:3838',
    'eu'   => 'eu.ravenminer.com:3838',
    'asia' => 'asia.ravenminer.com:3838',
  }
}
